/* Lilygo T-Watch 2020 V1
 * ESP32 Wrover 16MB Flash, 8/4 MB PSRAM
 * by Markus Horbach
 * 18.04.2021
 */
 
// TFT ST7789V 240x240 Pixel 1.54 Zoll
#define ST7789V_TFT_CS    5
#define ST7789V_TFT_CLK   18
#define ST7789V_TFT_MOSI  19
#define ST7789V_TFT_MISO  NULL // -1
#define ST7789V_TFT_DC    27
#define ST7789V_TFT_RST   NULL // -1
#define ST7789V_TFT_BL    12  //  High=On, getestet, OK

// Vibrationsmotor
#define VibMotorPin       4   // High=On, getestet, OK
#define VibPWMChannel     0
#define VibPWMResolution  8
#define VibPWMFrequency   5000

// InfraRot Diode
#define IR_Out  13            // High=On

// RTC PCF8563 über I2C, I2C Adresse : 0x write, 0x read
// Arduino Libs RTC + RTC_PCF8563
#define PCF8563_ADR 0x
#define PCF8563_IRQ 37
#define PCF8563_SDA 21
#define PCF8563_SCL 22

// PMU AXP202 über I2C, I2C Adresse : 0x68 write, 0x69 read
// Arduino Lib AXP202x
#define AXP202_ADR  0x68
#define AXP202_IRQ  35
#define AXP202_SDA  21
#define AXP202_SCL  22

// Touch Controller FT6236U über I2C, I2C Adresse : 0x write, 0x read
// Arduino Lib TAMC FT62x6
#define FT6236U_ADR 0x
#define FT6236U_IRQ 38
#define FT6236U_SDA 23
#define FT6236U_SCL 32

// Bosch BMA423 Accelerometer über I2C, I2C Adresse : 0x write, 0x read
#define BMA423_ADR  0x
#define BMA423_IRQ  39
#define BMA423_SDA  21
#define BMA423_SCL  22

// Audio MAX98357A über I2S
#define MAX98357A_BCK   26
#define MAX98357A_WS    25
#define MAX98357A_DOUT  33

// UART CP2104
#define CP2104_Tx       1
#define CP2104_Rx       3
#define CP2104_En       NULL  // no software control
#define CP2104_BootMode 0     // use with CP2104_En
